<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::certifiedSender::MessageStorageInterface::StoredMessage Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1certified_sender.html">certifiedSender</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html">MessageStorageInterface</a></li><li class="navelem"><a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html">StoredMessage</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::certifiedSender::MessageStorageInterface::StoredMessage Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_message_storage_interface_8h_source.html">MessageStorageInterface.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aac2c3bb173fb4e88e21378e1ff4a20c2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html#aac2c3bb173fb4e88e21378e1ff4a20c2">StoredMessage</a> ()</td></tr>
<tr class="separator:aac2c3bb173fb4e88e21378e1ff4a20c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abea1129324a76e5dccbe31c68fca6b3e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html#abea1129324a76e5dccbe31c68fca6b3e">StoredMessage</a> (int <a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html#aeed95c55c8e99c1459fb7f3b429a7704">id</a>, const std::string &amp;<a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html#a0d65c9ca059f305c9ffee07a905a6b76">message</a>)</td></tr>
<tr class="separator:abea1129324a76e5dccbe31c68fca6b3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aeed95c55c8e99c1459fb7f3b429a7704"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html#aeed95c55c8e99c1459fb7f3b429a7704">id</a></td></tr>
<tr class="memdesc:aeed95c55c8e99c1459fb7f3b429a7704"><td class="mdescLeft">&#160;</td><td class="mdescRight">The unique id which the database associates with this message.  <a href="#aeed95c55c8e99c1459fb7f3b429a7704">More...</a><br /></td></tr>
<tr class="separator:aeed95c55c8e99c1459fb7f3b429a7704"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d65c9ca059f305c9ffee07a905a6b76"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html#a0d65c9ca059f305c9ffee07a905a6b76">message</a></td></tr>
<tr class="memdesc:a0d65c9ca059f305c9ffee07a905a6b76"><td class="mdescLeft">&#160;</td><td class="mdescRight">The message being stored.  <a href="#a0d65c9ca059f305c9ffee07a905a6b76">More...</a><br /></td></tr>
<tr class="separator:a0d65c9ca059f305c9ffee07a905a6b76"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Utility structure to express a message stored in a database. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aac2c3bb173fb4e88e21378e1ff4a20c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac2c3bb173fb4e88e21378e1ff4a20c2">&#9670;&nbsp;</a></span>StoredMessage() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::certifiedSender::MessageStorageInterface::StoredMessage::StoredMessage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Default Constructor. </p>

</div>
</div>
<a id="abea1129324a76e5dccbe31c68fca6b3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abea1129324a76e5dccbe31c68fca6b3e">&#9670;&nbsp;</a></span>StoredMessage() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::certifiedSender::MessageStorageInterface::StoredMessage::StoredMessage </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>message</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constructor.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>The id which the database implementation associates with the message. </td></tr>
    <tr><td class="paramname">message</td><td>The text message which has been stored in the database. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aeed95c55c8e99c1459fb7f3b429a7704"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeed95c55c8e99c1459fb7f3b429a7704">&#9670;&nbsp;</a></span>id</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int alexaClientSDK::certifiedSender::MessageStorageInterface::StoredMessage::id</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The unique id which the database associates with this message. </p>

</div>
</div>
<a id="a0d65c9ca059f305c9ffee07a905a6b76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d65c9ca059f305c9ffee07a905a6b76">&#9670;&nbsp;</a></span>message</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::certifiedSender::MessageStorageInterface::StoredMessage::message</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The message being stored. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CertifiedSender/include/CertifiedSender/<a class="el" href="_message_storage_interface_8h_source.html">MessageStorageInterface.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
